<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class GetAssignedTaskListResponse implements \Bushelpowered\Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Response\TaskResponse[] $data */
    public array $data;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Request\TaskFilters $filter */
    public \Bushelpowered\Api\Aggregator\Crm\V1\Request\TaskFilters $filter;
    /** @var null|string $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.*/
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Response\TaskResponse[]  $data 
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Request\TaskFilters  $filter 
     * @param  null|string  $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function __construct(array $data, \Bushelpowered\Api\Aggregator\Crm\V1\Request\TaskFilters $filter, ?string $continuationToken)
    {
        $this->data = $data;
        $this->filter = $filter;
        $this->continuationToken = $continuationToken;
    }
    
    /**
     * @return null|string A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}