<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class BusinessLocationDetailItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\Location $location */
    public \Bushelpowered\Api\Businesspages\V1\Model\Location $location;
    /** @var null|string $announcements Announcements for the business location.*/
    public ?string $announcements = null;
    /** @var int $weeksToDisplay The number of weeks to display to growers.*/
    public int $weeksToDisplay;
    /** @var null|\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours */
    public ?\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null $specialHours */
    public ?array $specialHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null $weekNotes */
    public ?array $weekNotes = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null $staffMembers */
    public ?array $staffMembers = null;
    /** @var null|string $publishedAt The date and time the business location was published (viewable by growers). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $publishedAt = null;
    /** @var null|string $activatedAt The date and time the business location was activated (viewable by staff). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $activatedAt = null;
    /** @var string $createdAt The date and time the business location was created. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $tenantId The tenant identifier.
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\Location  $location 
     * @param  null|string  $announcements Announcements for the business location.
     * @param  int  $weeksToDisplay The number of weeks to display to growers.
     * @param  null|\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours  $standardHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null  $specialHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null  $weekNotes 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null  $staffMembers 
     * @param  null|string  $publishedAt The date and time the business location was published (viewable by growers). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $activatedAt The date and time the business location was activated (viewable by staff). of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt The date and time the business location was created. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $tenantId, \Bushelpowered\Api\Businesspages\V1\Model\Location $location, ?string $announcements, int $weeksToDisplay, ?\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours, ?array $specialHours, ?array $weekNotes, ?array $staffMembers, ?string $publishedAt, ?string $activatedAt, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->location = $location;
        $this->announcements = $announcements;
        $this->weeksToDisplay = $weeksToDisplay;
        $this->standardHours = $standardHours;
        $this->specialHours = $specialHours;
        $this->weekNotes = $weekNotes;
        $this->staffMembers = $staffMembers;
        $this->publishedAt = $publishedAt;
        $this->activatedAt = $activatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}