<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class CustomerIdentifierResponse 
{
    /** @var null|string $id The id of the customer identifier*/
    public ?string $id = null;
    /** @var string $customerId The UUID of the customer associated with the customer identifier*/
    public string $customerId;
    /** @var string $tenantId The UUID of the tenant associated with the customer identifier*/
    public string $tenantId;
    /** @var string $idpId The e164 phone or lowercase email*/
    public string $idpId;
    /** @var string $idpSlug defaults to bushel*/
    public string $idpSlug;
    /** @var string $identifierIntegrationId The identifier integration id, combination of slug and id*/
    public string $identifierIntegrationId;
    /** @var null|string $contactType The customer's phone or email type. i.e. primary, home, etc.*/
    public ?string $contactType = null;
    /** @var null|string $createdBy If null it was created automatically, otherwise the id of the user that created it*/
    public ?string $createdBy = null;
    /** @var null|string $updatedBy If null it was created automatically, otherwise the id of the user that updated it*/
    public ?string $updatedBy = null;
    /** @var string[] $accountIds The account ids associated with the customer identifier*/
    public array $accountIds;
    /** @var string[] $sourceAccountIds The source account ids associated with the customer identifier*/
    public array $sourceAccountIds;

    /**
     * @param  null|string  $id The id of the customer identifier
     * @param  string  $customerId The UUID of the customer associated with the customer identifier
     * @param  string  $tenantId The UUID of the tenant associated with the customer identifier
     * @param  string  $idpId The e164 phone or lowercase email
     * @param  string  $idpSlug defaults to bushel
     * @param  string  $identifierIntegrationId The identifier integration id, combination of slug and id
     * @param  null|string  $contactType The customer's phone or email type. i.e. primary, home, etc.
     * @param  null|string  $createdBy If null it was created automatically, otherwise the id of the user that created it
     * @param  null|string  $updatedBy If null it was created automatically, otherwise the id of the user that updated it
     * @param  string[]  $accountIds The account ids associated with the customer identifier
     * @param  string[]  $sourceAccountIds The source account ids associated with the customer identifier
     */
    public function __construct(?string $id, string $customerId, string $tenantId, string $idpId, string $idpSlug, string $identifierIntegrationId, ?string $contactType, ?string $createdBy, ?string $updatedBy, array $accountIds, array $sourceAccountIds)
    {
        $this->id = $id;
        $this->customerId = $customerId;
        $this->tenantId = $tenantId;
        $this->idpId = $idpId;
        $this->idpSlug = $idpSlug;
        $this->identifierIntegrationId = $identifierIntegrationId;
        $this->contactType = $contactType;
        $this->createdBy = $createdBy;
        $this->updatedBy = $updatedBy;
        $this->accountIds = $accountIds;
        $this->sourceAccountIds = $sourceAccountIds;
    }
    

}