<?php

namespace Bushelpowered\Api\Iam\Access\Common\V1\Mixins;

class Consistency
{
    public string $type;
    public $data = null;
    private \JsonMapper $mapper;

    private static $types = [
        'minimizeLatency' => '\Bushelpowered\Api\Common\EmptyPHP',
        'atLeastAsFresh' => '\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken',
        'fullyConsistent' => '\Bushelpowered\Api\Common\EmptyPHP',
    ];

    private function __construct($type, $data) {
        $this->type = $type;
        $this->data = $data;
        $this->mapper = new \JsonMapper();
    }

    public static function MinimizeLatency(?\Bushelpowered\Api\Common\EmptyPHP $data): Consistency
    {
        return new Consistency('minimizeLatency', $data);
    }
    public static function AtLeastAsFresh(\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $data): Consistency
    {
        return new Consistency('atLeastAsFresh', $data);
    }
    public static function FullyConsistent(?\Bushelpowered\Api\Common\EmptyPHP $data): Consistency
    {
        return new Consistency('fullyConsistent', $data);
    }

    public function getData() {
        $className = self::$types[$this->type];
        if ($className != null && $this->data != null) {
            $empty = (new \ReflectionClass($className))->newInstanceWithoutConstructor();
            return $this->mapper->map($this->data, $empty);
        } else {
            return $this->data;
        }
    }
}
    