<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class SubjectGroup implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id */
    public string $id;
    /** @var string $name The name of the subject group*/
    public string $name;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupType $subjectGroupType */
    public \Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupType $subjectGroupType;
    /** @var null|string $tenantId The id of the tenant that owns the subject group. NULL when owned by the root.*/
    public ?string $tenantId = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id 
     * @param  string  $name The name of the subject group
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupType  $subjectGroupType 
     * @param  null|string  $tenantId The id of the tenant that owns the subject group. NULL when owned by the root.
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $name, \Bushelpowered\Api\Iam\Access\Common\V1\SubjectGroupType $subjectGroupType, ?string $tenantId, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->subjectGroupType = $subjectGroupType;
        $this->tenantId = $tenantId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}