<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class GetAllRolesRequest 
{
    /** @var null|string $name Only fetch roles whose names contain the specified string.*/
    public ?string $name = null;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType[]|null $targetSubjectTypes Only fetch roles with the requested target subject types*/
    public ?array $targetSubjectTypes = null;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Domo\ResourceScope[]|null $scopes Only fetch roles that have at least one of the specified resource scopes.*/
    public ?array $scopes = null;

    /**
     * @param  null|string  $name Only fetch roles whose names contain the specified string.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType[]|null  $targetSubjectTypes Only fetch roles with the requested target subject types
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Domo\ResourceScope[]|null  $scopes Only fetch roles that have at least one of the specified resource scopes.
     */
    public function __construct(?string $name, ?array $targetSubjectTypes, ?array $scopes)
    {
        $this->name = $name;
        $this->targetSubjectTypes = $targetSubjectTypes;
        $this->scopes = $scopes;
    }
    

}