<?php
namespace Bushelpowered\Api\Iam\Keycloak\V1\Model;
        
class UserIdentifiers implements \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $userId The id of the user, sometimes just called bushel_id.*/
    public string $userId;
    /** @var null|string $firstName The first name of the user*/
    public ?string $firstName = null;
    /** @var null|string $lastName The last name of the user*/
    public ?string $lastName = null;
    /** @var null|string $email The email address of the user*/
    public ?string $email = null;
    /** @var null|string $phone The phone number of the user*/
    public ?string $phone = null;
    /** @var \Bushelpowered\Api\Iam\Keycloak\V1\Model\Identifier[] $identifiers */
    public array $identifiers;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $userId The id of the user, sometimes just called bushel_id.
     * @param  null|string  $firstName The first name of the user
     * @param  null|string  $lastName The last name of the user
     * @param  null|string  $email The email address of the user
     * @param  null|string  $phone The phone number of the user
     * @param  \Bushelpowered\Api\Iam\Keycloak\V1\Model\Identifier[]  $identifiers 
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $userId, ?string $firstName, ?string $lastName, ?string $email, ?string $phone, array $identifiers, string $updatedAt)
    {
        $this->userId = $userId;
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->email = $email;
        $this->phone = $phone;
        $this->identifiers = $identifiers;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}