<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class GetOrCreateTenantCommodityRequest 
{
    /** @var string $datasourceId The datasource identifier.*/
    public string $datasourceId;
    /** @var string $integrationId The global unique identifier of the source record, often concatenation of the datasource and source identifiers to ensure uniqueness.*/
    public string $integrationId;
    /** @var string $sourceId The source record identifier.*/
    public string $sourceId;
    /** @var null|string $sourceLocationId The source location identifier.*/
    public ?string $sourceLocationId = null;
    /** @var null|string $locationIntegrationId The location integration identifier.*/
    public ?string $locationIntegrationId = null;
    /** @var null|string $locationId The location identifier.*/
    public ?string $locationId = null;
    /** @var null|string $displayName The display name.*/
    public ?string $displayName = null;

    /**
     * @param  string  $datasourceId The datasource identifier.
     * @param  string  $integrationId The global unique identifier of the source record, often concatenation of the datasource and source identifiers to ensure uniqueness.
     * @param  string  $sourceId The source record identifier.
     * @param  null|string  $sourceLocationId The source location identifier.
     * @param  null|string  $locationIntegrationId The location integration identifier.
     * @param  null|string  $locationId The location identifier.
     * @param  null|string  $displayName The display name.
     */
    public function __construct(string $datasourceId, string $integrationId, string $sourceId, ?string $sourceLocationId, ?string $locationIntegrationId, ?string $locationId, ?string $displayName)
    {
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationIntegrationId = $locationIntegrationId;
        $this->locationId = $locationId;
        $this->displayName = $displayName;
    }
    

}