<?php
namespace Bushelpowered\Api\Platform\User\V1\Request;
        
class GetAllStaffUsersRequest 
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var null|string $name Fuzzy search on first and last name. The input is split by spaces, and all parts must match (AND logic) for a result to be returned.*/
    public ?string $name = null;
    /** @var null|string $email Fuzzy search on email and userIdpId. The userIdpId will only be searched if it's set as a EMAIL identifier type.*/
    public ?string $email = null;
    /** @var null|string $jobTitle */
    public ?string $jobTitle = null;

    /**
     * @param  string[]|null  $ids 
     * @param  null|string  $name Fuzzy search on first and last name. The input is split by spaces, and all parts must match (AND logic) for a result to be returned.
     * @param  null|string  $email Fuzzy search on email and userIdpId. The userIdpId will only be searched if it's set as a EMAIL identifier type.
     * @param  null|string  $jobTitle 
     */
    public function __construct(?array $ids, ?string $name, ?string $email, ?string $jobTitle)
    {
        $this->ids = $ids;
        $this->name = $name;
        $this->email = $email;
        $this->jobTitle = $jobTitle;
    }
    

}