<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class BidProductStandard 
{
    /** @var string $id The Product's id in the futures database.*/
    public string $id;
    /** @var string $name The Product's name.*/
    public string $name;
    /** @var string $pricingType The Product's Type.*/
    public string $pricingType;
    /** @var string $tickSize The Tick Size overwritten by the merchandiser.*/
    public string $tickSize;
    /** @var string $marketTickSize The default Tick Size for the commodity.*/
    public string $marketTickSize;
    /** @var \Bushelpowered\Api\Trade\Futures\V1\Model\BidStandard[] $bids The list of bids for this Product.*/
    public array $bids;

    /**
     * @param  string  $id The Product's id in the futures database.
     * @param  string  $name The Product's name.
     * @param  string  $pricingType The Product's Type.
     * @param  string  $tickSize The Tick Size overwritten by the merchandiser.
     * @param  string  $marketTickSize The default Tick Size for the commodity.
     * @param  \Bushelpowered\Api\Trade\Futures\V1\Model\BidStandard[]  $bids The list of bids for this Product.
     */
    public function __construct(string $id, string $name, string $pricingType, string $tickSize, string $marketTickSize, array $bids)
    {
        $this->id = $id;
        $this->name = $name;
        $this->pricingType = $pricingType;
        $this->tickSize = $tickSize;
        $this->marketTickSize = $marketTickSize;
        $this->bids = $bids;
    }
    

}