<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Model;
        
class ESignStandard implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp
{
    /** @var string $remoteId The document unique identifier.*/
    public string $remoteId;
    /** @var string $contractId The document identifier set by the user.*/
    public string $contractId;
    /** @var string $customerId The id of the customer this contract belongs to.*/
    public string $customerId;
    /** @var string $commodityId The id of the commodity that this contract belongs to.*/
    public string $commodityId;
    /** @var string $email eSign document email.*/
    public string $email;
    /** @var string $message eSign document email message.*/
    public string $message;
    /** @var string $subject eSign document email subject.*/
    public string $subject;
    /** @var string $title eSign document email title.*/
    public string $title;
    /** @var bool $hasError Boolean flag indicating whether there was an error with this document.*/
    public bool $hasError;
    /** @var bool $isTest Boolean flag indicating whether this document is a test.*/
    public bool $isTest;
    /** @var null|string $archivedAt The datetime for when the document was archived. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $archivedAt = null;
    /** @var null|string $completedAt The datetime for when the document was completed. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $completedAt = null;
    /** @var null|string $declinedAt The datetime for when the document was declined. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $declinedAt = null;
    /** @var null|string $pendingAt The datetime for when the document was sent. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $pendingAt = null;
    /** @var null|string $invalidAt The datetime for when the document was marked invalid. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $invalidAt = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;

    /**
     * @param  string  $remoteId The document unique identifier.
     * @param  string  $contractId The document identifier set by the user.
     * @param  string  $customerId The id of the customer this contract belongs to.
     * @param  string  $commodityId The id of the commodity that this contract belongs to.
     * @param  string  $email eSign document email.
     * @param  string  $message eSign document email message.
     * @param  string  $subject eSign document email subject.
     * @param  string  $title eSign document email title.
     * @param  bool  $hasError Boolean flag indicating whether there was an error with this document.
     * @param  bool  $isTest Boolean flag indicating whether this document is a test.
     * @param  null|string  $archivedAt The datetime for when the document was archived. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $completedAt The datetime for when the document was completed. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $declinedAt The datetime for when the document was declined. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $pendingAt The datetime for when the document was sent. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $invalidAt The datetime for when the document was marked invalid. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $remoteId, string $contractId, string $customerId, string $commodityId, string $email, string $message, string $subject, string $title, bool $hasError, bool $isTest, ?string $archivedAt, ?string $completedAt, ?string $declinedAt, ?string $pendingAt, ?string $invalidAt, string $createdAt)
    {
        $this->remoteId = $remoteId;
        $this->contractId = $contractId;
        $this->customerId = $customerId;
        $this->commodityId = $commodityId;
        $this->email = $email;
        $this->message = $message;
        $this->subject = $subject;
        $this->title = $title;
        $this->hasError = $hasError;
        $this->isTest = $isTest;
        $this->archivedAt = $archivedAt;
        $this->completedAt = $completedAt;
        $this->declinedAt = $declinedAt;
        $this->pendingAt = $pendingAt;
        $this->invalidAt = $invalidAt;
        $this->createdAt = $createdAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
}